Package org.opensaml.messaging.context.navigate

# Enum Class MessageContextLookup.Direction

java.lang.Object
java.lang.Enum<MessageContextLookup.Direction>
org.opensaml.messaging.context.navigate.MessageContextLookup.Direction

All Implemented Interfaces:
  `Serializable`, `Comparable<MessageContextLookup.Direction>`, `Constable`

Enclosing class:
  MessageContextLookup<StartContext extends BaseContext>

public static enum MessageContextLookup.Direction extends Enum<MessageContextLookup.Direction>
Used to indicate the target message context.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INBOUND`
Indicates to use the inbound message context, obtained via `InOutOperationContext.getInboundMessageContext()`.
`OUTBOUND`
Indicates to use the outbound message context, obtained via `InOutOperationContext.getOutboundMessageContext()`.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`Direction()`

## Method Summary

Modifier and Type
Method
Description
`static MessageContextLookup.Direction`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MessageContextLookup.Direction[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INBOUND

public static final MessageContextLookup.Direction INBOUND
Indicates to use the inbound message context, obtained via `InOutOperationContext.getInboundMessageContext()`.

### OUTBOUND

public static final MessageContextLookup.Direction OUTBOUND
Indicates to use the outbound message context, obtained via `InOutOperationContext.getOutboundMessageContext()`.

## Constructor Details

### Direction

private Direction()

## Method Details

### values

public static MessageContextLookup.Direction[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MessageContextLookup.Direction valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null